Installation

To use these functions you must compile the CGI or CLI version of PHP with readline support. You need to configure PHP --with-readline[=DIR] . If you want to use the libedit readline replacement, configure PHP --with-libedit[=DIR] .

add a note add a note

User Contributed Notes 2 notes

up
1
kevin_tm at yahoo dot com
3 months ago
If you missed that argument when initially installing php5 and want to add it after the fact, this is all you need:

sudo apt-get install php5-readline
up
-10
rs at income dot cz
1 year ago
Use dotdeb. It's like 1 minute work.

Follow https://www.dotdeb.org/instructions/

Do only points 1,3,4 (omit 2)

and then
sudo apt-get install php5-readline
To Top